#!/usr/bin/php
<?php
/**
 * This script highlights various source files on the console.
 *
 * $Horde: horde/scripts/highlight.php,v 1.2 2005/01/03 14:35:26 jan Exp $
 *
 * Copyright 2004-2005 Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL).  If you did
 * not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author  Jan Schneider <jan@horde.org>
 * @version $Revision: 1.2 $
 * @since   Horde 3.0
 */

if (!isset($argv[1])) {
    echo "Usage: highlight.php SOURCE_FILE [HIGHLIGHTER]\n";
    exit;
}
        
require_once 'Text/Highlighter.php';
require_once 'Text/Highlighter/Renderer/Console.php';

/* File to highlight. */
$file = $argv[1];

/* Optional highlighter. */
if (isset($argv[2])) {
    $type = $argv[2];
} else {
    /* Try autodetecting. */
    $map = array('cpp' => 'CPP',
                 'css' => 'CSS',
                 'diff' => 'DIFF', 'patch' => 'DIFF',
                 'dtd' => 'DTD',
                 'js' => 'JAVASCRIPT',
                 'pl' => 'PERL',
                 'php' => 'PHP',
                 'py' => 'PYTHON',
                 'sql' => 'SQL',
                 'xml' => 'XML');
    $ext = strtolower(substr($file, strrpos($file, '.') + 1));
    if (isset($map[$ext])) {
        $type = $map[$ext];
    } else {
        $type = 'PHP';
    }
}

$hl = &Text_Highlighter::factory($type);
$hl->setRenderer(new Text_Highlighter_Renderer_Console());

echo $hl->highlight(file_get_contents($file));
